Search documentation of ExStreamClient

# ExStreamClient.Model.APNConfigFields (ExStreamClient v0.1.10)

View Source

Schema representing a APNConfigFields

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.APNConfigFields{
      auth_key: String.t() | nil,
      auth_type: String.t() | nil,
      bundle_id: String.t() | nil,
      development: boolean(),
      enabled: boolean(),
      host: String.t() | nil,
      key_id: String.t() | nil,
      notification_template: String.t() | nil,
      p12_cert: String.t() | nil,
      team_id: String.t() | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()